local FOLDER_NAME, SCA = ...

local defaults = {
	char = {
		audio = {
			spells = {
				damage = {
					enabled = true,
					tutorial = {
						enabled = false,
						frameCount = 0,
						flags = {
							isSeparate = false,
							spellEvent = false,
							source = false,
							spellEvents = false,
							customType = false,
							numFiles = false,
							audioLocationPack = false,
							audioLocationFile = false,
						},
						ofs = {
							spellEvents = {
								x = 340,
								y = -126,
							},
							source = {
								x = 248,
								y = -221,
							},
							isSeparate = {
								x = 750,
								y = -270,
							},
							spellEvent = {
								x = 500,
								y = -335,
							},
							customType = {
								x = 245,
								y = -270,
							},
							audioLocationPack = {
								x = 355,
								y = -340,
							},
							audioLocationFile = {
								x = 355,
								y = -340,
							},
							numFiles = {
								x = 680,
								y = -340,
							},
						},
						ids = {},
					},
					numEvents = 0,
					errorName = "damage",
					selected = 0,
					isSeparate = false,
					toggleInfo = {
						tabName = 'DamageTab',
						desc = {
							[1] = "the following spell event occurs: ",
							[2] = '|r.'
						},
						width = "half",
					},
					keys = {
						[0] = "all",
						[1] = "onCast",
						[2] = "onSuccess",
						[3] = "onFail",
						[4] = "onDamage",
					},
					events = {
						onCast = false,
						onSuccess = false,
						onFail = false,
						onDamage = false,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					all = {
						label = "All Spells Events",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							trigger = "crit",
							swing = true,
							pet = true,
							dots = true,
							spells = true,
							threshold = 0,
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onCast = {
						label = "Start",
						order = 1,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onSuccess = {
						label = "Success",
						order = 2,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onFail = {
						label = "Failed",
						order = 3,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onDamage = {
						label = "Damage",
						order = 4,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							trigger = "crit",
							swing = true,
							pet = true,
							dots = true,
							spells = true,
							threshold = 0,
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				heals = {
					enabled = true,
					tutorial = {
						enabled = false,
						frameCount = 0,
						flags = {
							isSeparate = false,
							spellEvent = false,
							source = false,
							spellEvents = false,
							customType = false,
							numFiles = false,
							audioLocationPack = false,
							audioLocationFile = false,
						},
						ofs = {
							spellEvents = {
								x = 340,
								y = -126,
							},
							source = {
								x = 248,
								y = -221,
							},
							isSeparate = {
								x = 750,
								y = -270,
							},
							spellEvent = {
								x = 500,
								y = -335,
							},
							customType = {
								x = 245,
								y = -270,
							},
							audioLocationPack = {
								x = 355,
								y = -340,
							},
							audioLocationFile = {
								x = 355,
								y = -340,
							},
							numFiles = {
								x = 680,
								y = -340,
							},
						},
						ids = {},
					},
					numEvents = 0,
					errorName = "healing",
					selected = 0,
					isSeparate = false,
					toggleInfo = {
						tabName = 'HealingTab',
						desc = {
							[1] = "the following spell event occurs: ",
							[2] = '|r.'
						},
						width = "half",
					},
					keys = {
						[0] = "all",
						[1] = "onCast",
						[2] = "onSuccess",
						[3] = "onFail",
						[4] = "onHeal",
					},
					events = {
						onCast = false,
						onSuccess = false,
						onFail = false,
						onHeal = false,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					all = {
						label = "All Spell Events",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							trigger = "crit",
							hots = true,
							spells = true,
							threshold = 0,
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onCast = {
						label = "Start",
						order = 1,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onSuccess = {
						label = "Success",
						order = 2,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onFail = {
						label = "Failed",
						order = 3,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onHeal = {
						label = "Healing",
						order = 4,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							trigger = "crit",
							hots = true,
							spells = true,
							threshold = 0,
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				specific = {
					enabled = true,
					--[[ Separate Sounds Template
					[51505] = {
						onCast = {
							options = {
								source = "packs",
								channel = "Master",
							},
							packs = {
							
							},
							shared = {
							
							},
							custom = {
							
							},
						},
						onDamage = {
							options = {
								trigger = "crit",
								threshold = 0,
								source = "packs",
								channel = "Master",
							},
						},
						onHeal = {
							options = {
								trigger = "crit",
								threshold = 0,
								source = "packs",
								channel = "Master",
							},
						},
						
						
					},
					-- Non-Separate Sounds Template
					[51505] = {
						options = {
							source = "packs",
							channel = "Master",
						},
						onCast = {
							
						},
						onDamage = {
						
						},
						onHeal = {
						
						},
					},
					]]
				},
				ignored = {

				},
			},
			defense = {
				enabled = true,
				errorName = "defense",
				numEvents = 0,
				selected = 0,
				isSeparate = false,
				toggleInfo = {
					tabName = nil,
					desc = {
						[1] = "you ",
						[2] = ' an ability.'
					},
					width = "half",
				},
				keys = {
					[0] = "all",
					[1] = "absorb",
					[2] = "block",
					[3] = "dodge",
					[4] = "parry",
				},
				events = {
					absorb = true,
					block = true,
					dodge = true,
					parry = true,
				},
				all = {
					label = "All Defense Events",
					validAudio = false,
					options = {
						source = "packs",
						channel = "Master",
					},
					packs = {
						text = '',
						value = 'empty',
						path = '',
						max = 1,
						isRandom = {
							enabled = true,
							currentFile = 1,
						},
					},
					shared = {
						value = 'None',
					},
					custom = {
						path = "Interface\\AUDIO\\",
						max = 1,
						customType = 'file',
						isRandom = {
							enabled = true,
							currentFile = 1,
						},
					},
				},
				absorb = {
					label = "Absorb",
					validAudio = false,
					order = 1,
					options = {
						source = "packs",
						channel = "Master",
					},
					packs = {
						text = '',
						value = 'empty',
						path = '',
						max = 1,
						isRandom = {
							enabled = true,
							currentFile = 1,
						},
					},
					shared = {
						value = 'None',
					},
					custom = {
						path = "Interface\\AUDIO\\",
						max = 1,
						customType = 'file',
						isRandom = {
							enabled = true,
							currentFile = 1,
						},
					},
				},
				block = {
					label = "Block",
					validAudio = false,
					order = 2,
					options = {
						source = "packs",
						channel = "Master",
					},
					packs = {
						text = '',
						value = 'empty',
						path = '',
						max = 1,
						isRandom = {
							enabled = true,
							currentFile = 1,
						},
					},
					shared = {
						value = 'None',
					},
					custom = {
						path = "Interface\\AUDIO\\",
						max = 1,
						customType = 'file',
						isRandom = {
							enabled = true,
							currentFile = 1,
						},
					},
				},
				dodge = {
					label = "Dodge",
					validAudio = false,
					order = 3,
					options = {
						source = "packs",
						channel = "Master",
					},
					packs = {
						text = '',
						value = 'empty',
						path = '',
						max = 1,
						isRandom = {
							enabled = true,
							currentFile = 1,
						},
					},
					shared = {
						value = 'None',
					},
					custom = {
						path = "Interface\\AUDIO\\",
						max = 1,
						customType = 'file',
						isRandom = {
							enabled = true,
							currentFile = 1,
						},
					},
				},
				parry = {
					label = "Parry",
					validAudio = false,
					order = 4,
					options = {
						source = "packs",
						channel = "Master",
					},
					packs = {
						text = '',
						value = 'empty',
						path = '',
						max = 1,
						isRandom = {
							enabled = true,
							currentFile = 1,
						},
					},
					shared = {
						value = 'None',
					},
					custom = {
						path = "Interface\\AUDIO\\",
						max = 1,
						customType = 'file',
						isRandom = {
							enabled = true,
							currentFile = 1,
						},
					},
				},
			},
			combat = {
				enabled = true,
				status = {
					enabled = true,
					order = 1,
					label = "Combat Start/End",
					errorName = "status",
					numEvents = 0,
					selected = 0,
					isSeparate = false,
					playSong = false,
					toggleInfo = {
						tabName = 'statusTab',
						desc = {
							[1] = " |cFF00FF00",
							[2] = '|r.'
						},
						width = "normal",
					},
					keys = {
						[0] = "all",
						[1] = "onStart",
						[2] = "onStop",
					},
					events = {
						onStart = true,
						onStop = true,
					},
					options = {
						zoneTrigger = 0,
						dungeonTrigger = 0,
						raidTrigger = 0,
					},
					holder = {},
					all = {
						label = "Combat Start and End",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStart = {
						label = "Combat Starts",
						validAudio = false,
						order = 1,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							music = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStop = {
						label = "Combat Ends",
						validAudio = false,
						order = 2,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				events = {
					enabled = true,
					order = 2,
					label = "Combat Events",
					errorName = "events",
					numEvents = 0,
					selected = 0,
					isSeparate = false,
					toggleInfo = {
						tabName = 'eventsTab',
						desc = {
							[1] = "the following event occurs: |cFF00FF00",
							[2] = '|r.'
						},
						width = "normal",
					},
					keys = {
						[0] = "all",
						[1] = "onKill",
						[2] = "onDeath",
						[3] = "onEnvironment",
						[4] = "onInterrupt",
					},
					events = {
						onKill = true,
						onDeath = true,
						onEnvironment = true,
						onInterrupt = true,
					},
					all = {
						label = "All Combat Events",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onKill = {
						label = "Killing Blow",
						validAudio = false,
						order = 1,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onDeath = {
						label = "Upon Death",
						validAudio = false,
						order = 2,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onEnvironment = {
						label = "Enviro Damage",
						validAudio = false,
						order = 3,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onInterrupt = {
						label = "Interrupt",
						validAudio = false,
						order = 4,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
			},
			looting = {
				enabled = true,
				loot = {
					enabled = true,
					order = 1,
					label = "Item Looting",
					errorName = 'loot',
					selectTitle = "Item Quality/Type",
					numEvents = 0,
					selected = 0,
					isSeparate = false,
					toggleInfo = {
						tabName = 'lootTab',
						desc = {
							[1] = "looting an item of ",
							[2] = ' quality/type.'
						},
						width = "half",
					},
					keys = {
						[0] = "all",
						[1] = "poor",
						[2] = "common",
						[3] = "uncommon",
						[4] = "rare",
						[5] = "epic",
						[6] = "legendary",
						[7] = "mount",
						[8] = "pet",
					},
					events = {
						poor = true,
						common = true,
						uncommon = true,
						rare = true,
						epic = true,
						legendary = true,
						mount = true,
						pet = true,
					},
					all = {
						label = "All Loot Qualities/Types",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					poor = {
						label = "|cFF9D9D9DPoor|r",
						order = 1,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					common = {
						label = "|cFFFFFFFFCommon|r",
						order = 2,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					uncommon = {
						label = "|cFF1EFF00Uncommon|r",
						order = 3,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					rare = {
						label = "|cFF0070DDRare|r",
						order = 4,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					epic = {
						label = "|cFFA335EEEpic|r",
						order = 5,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					legendary = {
						label = "|cFFFF8000Legendary|r",
						order = 6,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					mount = {
						label = "|cFF00CCFFMount|r",
						order = 7,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					pet = {
						label = "|cFF00CCFFPet|r",
						order = 8,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				window = {
					enabled = true,
					order = 2,
					label = "Loot Window",
					errorName = 'window',
					selectTitle = "Loot Event",
					numEvents = 0,
					selected = 0,
					isSeparate = false,
					toggleInfo = {
						tabName = 'windowTab',
						desc = {
							[1] = "you |cFF00FF00",
							[2] = '|r a loot window.'
						},
						width = "normal",
					},
					keys = {
						[0] = 'all',
						[1] = 'opened',
						[2] = 'closed',
					},
					events = {
						opened = true,
						closed = true,
					},
					all = {
						label = "All Loot Window Events",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					opened = {
						label = "Open",
						validAudio = false,
						order = 1,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					closed = {
						label = "On Close",
						validAudio = false,
						order = 2,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				rolling = {
					enabled = true,
					order = 3,
					label = "Loot Rolling",
					errorName = 'rolling',
					selectTitle = "Roll Event",
					numEvents = 0,
					selected = 0,
					isSeparate = false,
					toggleInfo = {
						tabName = 'rollingTab',
						desc = {
							[1] = "you roll |cFF00FF00",
							[2] = '|r on a loot item.'
						},
						width = "normal",
					},
					keys = {
						[0] = 'all',
						[1] = 'need',
						[2] = 'greed',
						[3] = 'disenchant',
					},
					events = {
						need = true,
						greed = true,
						disenchant = true,
					},
					all = {
						label = "All Loot Rolling Events",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					need = {
						label = "Need",
						validAudio = false,
						order = 1,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					greed = {
						label = "Greed",
						validAudio = false,
						order = 2,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					disenchant = {
						label = "Disenchant",
						validAudio = false,
						order = 3,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
			},
			chat = {
				enabled = true,
				guild = {
					enabled = true,
					order = 1,
					label = "Guild",
					errorName = 'guild',
					numEvents = 0,
					selected = 0,
					isSeparate = false,
					toggleInfo = {
						tabName = 'guildTab',
						desc = {
							[1] = "chatting in |cFF00FF00",
							[2] = '|r.'
						},
						width = "normal",
					},
					keys = {
						[0] = "all",
						[1] = "guild",
						[2] = "officer",
					},
					events = {
						guild = true,
						officer = true,
					},
					all = {
						label = "All Guild Chat Types",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					guild = {
						label = "Guild Chat",
						order = 1,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					officer = {
						label = "Officer",
						order = 2,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				group = {
					enabled = true,
					order = 2,
					label = "Group",
					errorName = 'group',
					numEvents = 0,
					selected = 0,
					isSeparate = false,
					toggleInfo = {
						tabName = 'groupTab',
						desc = {
							[1] = "chatting in |cFF00FF00",
							[2] = '|r.'
						},
						width = "normal",
					},
					keys = {
						[0] = "all",
						[1] = "party",
						[2] = "raid",
						[3] = "instance",
						[4] = "battleground",
					},
					events = {
						party = true,
						raid = true,
						instance = true,
						battleground = true,
					},
					all = {
						label = "All Group Chat Types",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					party = {
						label = "Party Chat",
						order = 1,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					raid = {
						label = "Raid Chat",
						validAudio = false,
						order = 2,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					instance = {
						label = "Instance Chat",
						order = 3,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					battleground = {
						label = "Battleground Chat",
						order = 4,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				global = {
					enabled = true,
					order = 3,
					label = "Global",
					errorName = 'global',
					numEvents = 0,
					selected = 0,
					isSeparate = false,
					toggleInfo = {
						tabName = 'globalTab',
						desc = {
							[1] = "chatting in |cFF00FF00",
							[2] = '|r.'
						},
						width = "normal",
					},
					keys = {
						[0] = "all",
						[1] = "general",
						[2] = "trade",
						[3] = "localdefense",
						[4] = "lookingforgroup",
					},
					events = {
						general = true,
						trade = true,
						localdefense = true,
						lookingforgroup = true,
					},
					all = {
						label = "All Global Chat Types",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					general = {
						label = "General Chat",
						order = 1,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					trade = {
						label = "Trade Chat",
						order = 2,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					localdefense = {
						label = "Local Defense",
						order = 3,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					lookingforgroup = {
						label = "Looking For Group",
						order = 4,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				nearby = {
					enabled = true,
					order = 4,
					label = "Local",
					errorName = 'local',
					numEvents = 0,
					selected = 0,
					isSeparate = false,
					toggleInfo = {
						tabName = 'nearbyTab',
						desc = {
							[1] = "chatting in |cFF00FF00",
							[2] = '|r.'
						},
						width = "normal",
					},
					keys = {
						[0] = "all",
						[1] = "say",
						[2] = "yell",
						[3] = "emote",
					},
					events = {
						say = true,
						yell = true,
						emote = true,
					},
					all = {
						label = "All Local Chat Types",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					say = {
						label = "Say",
						order = 1,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					yell = {
						label = "Yell",
						order = 2,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					emote = {
						label = "Emote",
						order = 3,
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
							ignoreMe = false,
							timeout = {
								enabled = false,
								delay = 0,
								sinceLast = 0,
							},
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
			},
			move = {
				enabled = true,
				ascend = {
					enabled = false,
					order = 1,
					label = "Jump / Ascend",
					errorName = "ascend",
					numEvents = 0,
					selected = 0,
					isSeparate = false,
					toggleInfo = {
						tabName = 'ascendTab',
						desc = {
							[1] = "you |cFF00FF00",
							[2] = '|r to jump or ascend.'
						},
						width = "normal",
					},
					keys = {
						[0] = "all",
						[1] = "onStart",
						[2] = "onStop",
					},
					events = {
						onStart = true,
						onStop = true,
					},
					triggers = {
						running = true,
						mounted = true,
						swimming = true,
						flying = true,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					all = {
						label = "Ascend Start & Stop",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStart = {
						validAudio = false,
						order = 1,
						label = "Start",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStop = {
						validAudio = false,
						order = 2,
						label = "Stop",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				descend = {
					enabled = false,
					order = 2,
					label = "Sit / Descend",
					errorName = "descend",
					numEvents = 0,
					selected = 0,
					isSeparate = false,
					toggleInfo = {
						tabName = 'descendTab',
						desc = {
							[1] = "you |cFF00FF00",
							[2] = '|r to sit or descend.'
						},
						width = "normal",
					},
					keys = {
						[0] = "all",
						[1] = "onStart",
						[2] = "onStop",
					},
					events = {
						onStart = false,
						onStop = false,
					},
					triggers = {
						running = true,
						mounted = true,
						swimming = true,
						flying = true,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					all = {
						label = "Descend Start & Stop",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStart = {
						validAudio = false,
						order = 1,
						label = "Start",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStop = {
						validAudio = false,
						order = 2,
						label = "Stop",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				forward = {
					enabled = false,
					order = 3,
					label = "Forward",
					errorName = "forward",
					numEvents = 0,
					selected = 0,
					isSeparate = false,
					toggleInfo = {
						tabName = 'forwardTab',
						desc = {
							[1] = "you |cFF00FF00",
							[2] = '|r to move forward.'
						},
						width = "normal",
					},
					keys = {
						[0] = "all",
						[1] = "onStart",
						[2] = "onStop",
					},
					events = {
						onStart = false,
						onStop = false,
					},
					triggers = {
						running = true,
						mounted = true,
						swimming = true,
						flying = true,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					all = {
						label = "Forward Start & Stop",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStart = {
						validAudio = false,
						order = 1,
						label = "Start",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStop = {
						validAudio = false,
						order = 2,
						label = "Stop",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				backward = {
					enabled = false,
					order = 4,
					label = "Backward",
					errorName = "backward",
					numEvents = 0,
					selected = 0,
					isSeparate = false,
					toggleInfo = {
						tabName = 'backwardTab',
						desc = {
							[1] = "you |cFF00FF00",
							[2] = '|r to move backward.'
						},
						width = "normal",
					},
					keys = {
						[0] = "all",
						[1] = "onStart",
						[2] = "onStop",
					},
					events = {
						onStart = false,
						onStop = false,
					},
					triggers = {
						running = true,
						mounted = true,
						swimming = true,
						flying = true,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					all = {
						label = "Backward Start & Stop",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStart = {
						validAudio = false,
						order = 1,
						label = "Start",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStop = {
						validAudio = false,
						order = 2,
						label = "Stop",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				turnleft = {
					enabled = false,
					order = 5,
					label = "Turn Left",
					errorName = "turnleft",
					numEvents = 0,
					selected = 0,
					isSeparate = false,
					toggleInfo = {
						tabName = 'turnleftTab',
						desc = {
							[1] = "you |cFF00FF00",
							[2] = '|r to turn left.'
						},
						width = "normal",
					},
					keys = {
						[0] = "all",
						[1] = "onStart",
						[2] = "onStop",
					},
					events = {
						onStart = false,
						onStop = false,
					},
					triggers = {
						running = true,
						mounted = true,
						swimming = true,
						flying = true,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					all = {
						label = "Left Turn Start & Stop",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStart = {
						validAudio = false,
						order = 1,
						label = "Start",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStop = {
						validAudio = false,
						order = 2,
						label = "Stop",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				turnright = {
					enabled = false,
					order = 6,
					label = "Turn Right",
					errorName = "turnright",
					numEvents = 0,
					selected = 0,
					isSeparate = false,
					toggleInfo = {
						tabName = 'turnrightTab',
						desc = {
							[1] = "you |cFF00FF00",
							[2] = '|r to turn right.'
						},
						width = "normal",
					},
					keys = {
						[0] = "all",
						[1] = "onStart",
						[2] = "onStop",
					},
					events = {
						onStart = false,
						onStop = false,
					},
					triggers = {
						running = true,
						mounted = true,
						swimming = true,
						flying = true,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					all = {
						label = "Turn Right Start & Stop",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStart = {
						validAudio = false,
						order = 1,
						label = "Start",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStop = {
						validAudio = false,
						order = 2,
						label = "Stop",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				pitchup = {
					enabled = false,
					order = 7,
					label = "Pitch Up",
					errorName = "pitchup",
					numEvents = 0,
					selected = 0,
					isSeparate = false,
					toggleInfo = {
						tabName = 'pitchupTab',
						desc = {
							[1] = "you |cFF00FF00",
							[2] = '|r to pitch up.'
						},
						width = "normal",
					},
					keys = {
						[0] = "all",
						[1] = "onStart",
						[2] = "onStop",
					},
					events = {
						onStart = false,
						onStop = false,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					all = {
						label = "Pitch Up Start & Stop",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStart = {
						validAudio = false,
						order = 1,
						label = "Start",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStop = {
						validAudio = false,
						order = 2,
						label = "Stop",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				pitchdown = {
					enabled = false,
					order = 8,
					label = "Pitch Down",
					errorName = "pitchdown",
					numEvents = 0,
					selected = 0,
					isSeparate = false,
					toggleInfo = {
						tabName = 'pitchdownTab',
						desc = {
							[1] = "you |cFF00FF00",
							[2] = '|r to pitch down.'
						},
						width = "normal",
					},
					keys = {
						[0] = "all",
						[1] = "onStart",
						[2] = "onStop",
					},
					events = {
						onStart = false,
						onStop = false,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					all = {
						label = "Pitch Down Start & Stop",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStart = {
						validAudio = false,
						order = 1,
						label = "Start",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStop = {
						validAudio = false,
						order = 2,
						label = "Stop",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				autorun = {
					enabled = false,
					order = 9,
					label = "Autorun",
					errorName = "autorun",
					numEvents = 0,
					selected = 0,
					isSeparate = false,
					toggleInfo = {
						tabName = 'autorunTab',
						desc = {
							[1] = "you |cFF00FF00",
							[2] = '|r to auto-run.'
						},
						width = "normal",
					},
					keys = {
						[0] = "all",
						[1] = "onStart",
						[2] = "onStop",
					},
					events = {
						onStart = false,
						onStop = false,
					},
					messages = {
						separateSounds = '',
						notices = '',
					},
					all = {
						label = "Autorun Start & Stop",
						validAudio = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStart = {
						validAudio = false,
						order = 1,
						label = "Start",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
					onStop = {
						validAudio = false,
						order = 2,
						label = "Stop",
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = "Interface\\AUDIO\\",
							max = 1,
							customType = 'file',
							isRandom = {
								enabled = true,
								currentFile = 1,
							},
						},
					},
				},
				--[[interact = {
					label = "Interact",
					order = 10,
					selectedAction = "info",
					info = {
						enabled = false,
						options = {
							source = "packs",
							channel = "Master",
						},
						packs = {
							text = '',
							value = 'empty',
							path = '',
							max = 1,
						},
						shared = {
							value = 'None',
						},
						custom = {
							path = '',
							max = 1,
							customType = 'file',
						},
					},
				},]]
			},
		},
	},
}

SCA[1].defaults = defaults