local FOLDER_NAME, SCA = ...

local dungeonIDs = {
	["party"] = {
		["Normal"] = {
			-----------------------------------------
			-- CLASSIC
			-----------------------------------------
			["Blackfathom Deeps"] = {
				min = 20,
				max = 60,
			},
			["Blackrock Depths"] = {
				min = 46,
				max = 60,
			},
			["Deadmines"] = {
				min = 15,
				max = 60,
			},
			[429] = { -- Dire Maul - Capital Gardens
				min = 39,
				max = 60,
			},
			[429] = { -- Dire Maul - Gordok Commons
				min = 42,
				max = 60,
			},
			[429] = { -- Dire Maul - Warpwood Quarter
				min = 36,
				max = 60,
			},
			["Gnomeregan"] = {
				min = 24,
				max = 60,
			},
			["Lower Blackrock Spire"] = {
				min = 55,
				max = 60,
			},
			["Maraudon"] = {
				min = 30,
				max = 60,
			},
			["Ragefire Chasm"] = {
				min = 15,
				max = 60,
			},
			["Razorfen Downs"] = {
				min = 35,
				max = 60,
			},
			["Razorfen Kraul"] = {
				min = 30,
				max = 60,
			},
			[1001] = { -- Scarlet Halls
				min = 26,
				max = 60,
			},
			[1004] = {
				min = 28,
				max = 60,
			},
			["Scholomance"] = {
				min = 38,
				max = 60,
			},
			["Shadowfang Keep"] = {
				min = 17,
				max = 60,
			},
			["Stormwind Stockade"] = {
				min = 20,
				max = 60,
			},
			["Stratholme"] = {
				min = 42,
				max = 60,
			},
			["Sunken Temple"] = {
				min = 50,
				max = 60,
			},
			["Uldaman"] = {
				min = 40,
				max = 60,
			},
			["Wailing Caverns"] = {
				min = 17,
				max = 60,
			},
			["Zul'Farrak"] = {
				min = 44,
				max = 60,
			},
			-----------------------------------------
			-- THE BURNING CRUSADE
			-----------------------------------------
			["Auchenai Crypts"] = {
				min = 63,
				max = 80,
			},
			["Blood Furnace"] = {
				min = 59,
				max = 80,
			},
			["Hellfire Ramparts"] = {
				min = 58,
				max = 80,
			},
			["Magister's Terrace"] = {
				min = 68,
				max = 80,
			},
			["Mana-Tombs"] = {
				min = 62,
				max = 80,
			},
			["Opening of the Dark Portal"] = {
				min = 68,
				max = 80,
			},
			["Sethekk Halls"] = {
				min = 65,
				max = 80,
			},
			["Shadow Labyrinth"] = {
				min = 67,
				max = 80,
			},
			["Shattered Halls"] = {
				min = 67,
				max = 80,
			},
			["Slave Pens"] = {
				min = 60,
				max = 80,
			},
			["The Arcatraz"] = {
				min = 68,
				max = 80,
			},
			["The Botanica"] = {
				min = 67,
				max = 80,
			},
			["The Escape from Durnholde"] = {
				min = 64,
				max = 80,
			},
			["The Mechanar"] = {
				min = 67,
				max = 80,
			},
			["The Steamvault"] = {
				min = 67,
				max = 80,
			},
			["Underbog"] = {
				min = 61,
				max = 80,
			},
			-----------------------------------------
			-- WRATH OF THE LICH KING
			-----------------------------------------
			["Ahn'kahet: The Old Kingdom"] = {
				min = 61,
				max = 80,
			},
			["Azjol-Nerub"] = {
				min = 60,
				max = 80,
			},
			["Drak'Tharon Keep"] = {
				min = 62,
				max = 80,
			},
			["Gundrak"] = {
				min = 64,
				max = 80,
			},
			["Halls of Lightning"] = {
				min = 67,
				max = 80,
			},
			["Halls of Reflection"] = {
				min = 70,
				max = 80,
			},
			["Halls of Stone"] = {
				min = 65,
				max = 80,
			},
			["Pit of Saron"] = {
				min = 70,
				max = 80,
			},
			["The Culling of Stratholme"] = {
				min = 68,
				max = 80,
			},
			["The Forge of Souls"] = {
				min = 70,
				max = 80,
			},
			["The Nexus"] = {
				min = 59,
				max = 80,
			},
			["The Oculus"] = {
				min = 67,
				max = 80,
			},
			["Trial of the Champion"] = {
				min = 68,
				max = 80,
			},
			["Utgarde Keep"] = {
				min = 58,
				max = 80,
			},
			["Utgarde Pinnacle"] = {
				max = 67,
				max = 80,
			},
			["Violet Hold"] = {
				min = 63,
				max = 80,
			},
			-----------------------------------------
			-- CATACLYSM
			-----------------------------------------
			["Blackrock Caverns"] = {
				min = 80,
				max = 90,
			},
			["Grim Batol"] = {
				min = 84,
				max = 90,
			},
			["Halls of Origination"] = {
				min = 84,
				max = 90,
			},
			["Lost City of the Tol'vir"] = {
				min = 84,
				max = 90,
			},
			["The Stonecore"] = {
				min = 81,
				max = 90,
			},
			["The Vortex Pinnacle"] = {
				min = 81,
				max = 90,
			},
			["Throne of the Tides"] = {
				min = 80,
				max = 90,
			},
			-----------------------------------------
			-- MISTS OF PANDARIA
			-----------------------------------------
			["Gate of the Setting Sun"] = {
				min = 83,
				max = 90,
			},
			["Mogu'shan Palace"] = {
				min = 82,
				max = 90,
			},
			["Shado-Pan Monastery"] = {
				min = 82,
				max = 90,
			},
			["Siege of Niuzao Temple"] = {
				min = 83,
				max = 90,
			},
			["Stormstout Brewery"] = {
				min = 80,
				max = 90,
			},
			["Temple of the Jade Serpent"] = {
				min = 80,
				max = 90,
			},
			-----------------------------------------
			-- WARLORDS OF DRAENOR
			-----------------------------------------
			["Auchindoun"] = {
				min = 94,
				max = 100,
			},
			["Bloodmaul Slag Mines"] = {
				min = 90,
				max = 100,
			},
			["Grimrail Depot"] = {
				min = 100,
				max = 100,
			},
			["Iron Docks"] = {
				min = 92,
				max = 100,
			},
			["Shadowmoon Burial Grounds"] = {
				min = 100,
				max = 100,
			},
			["Skyreach"] = {
				min = 97,
				max = 100,
			},
			["The Everbloom"] = {
				min = 100,
				max = 100,
			},
			["Upper Blackrock Spire"] = {
				min = 100,
				max = 100,
			},
			-----------------------------------------
			-- LEGION
			-----------------------------------------
			["Darkheart Thicket"] = {
				min = 98,
				max = 110,
			},
			["Eye of Azshara"] = {
				min = 98,
				max = 110,
			},
			["Halls of Valor"] = {
				min = 98,
				max = 110,
			},
			["Netlharion's Lair"] = {
				min = 98,
				max = 110,
			},
		},
		["Heroic"] = {
			-----------------------------------------
			-- WRATH OF THE LICH KING
			-----------------------------------------
			["Ahn'kahet: The Old Kingdom"] = {
				min = 80,
				max = 82,
			},
			["Azjol-Nerub"] = {
				min = 80,
				max = 82,
			},
			["Drak'Tharon Keep"] = {
				min = 80,
				max = 82,
			},
			["Gundrak"] = {
				min = 80,
				max = 82,
			},
			["Halls of Lightning"] = {
				min = 80,
				max = 82,
			},
			["Halls of Reflection"] = {
				min = 80,
				max = 82,
			},
			["Halls of Stone"] = {
				min = 80,
				max = 82,
			},
			["Pit of Saron"] = {
				min = 80,
				max = 82,
			},
			["The Culling of Stratholme"] = {
				min = 80,
				max = 82,
			},
			["The Forge of Souls"] = {
				min = 80,
				max = 82,
			},
			["The Nexus"] = {
				min = 80,
				max = 82,
			},
			["The Oculus"] = {
				min = 80,
				max = 82,
			},
			["Trial of the Champion"] = {
				min = 80,
				max = 82,
			},
			["Utgarde Keep"] = {
				min = 80,
				max = 82,
			},
			["Utgarde Pinnacle"] = {
				max = 80,
				max = 82,
			},
			["Violet Hold"] = {
				min = 80,
				max = 82,
			},
			-----------------------------------------
			-- MISTS OF PANDARIA
			-----------------------------------------
			["Gate of the Setting Sun"] = {
				min = 90,
				max = 90,
			},
			["Mogu'shan Palace"] = {
				min = 90,
				max = 90,
			},
			[1001] = { -- Scarlet Halls
				min = 90,
				max = 90,
			},
			[1004] = { --Scarlet Monastery
				min = 90,
				max = 90,
			},
			["Scholomance"] = {
				min = 90,
				max = 90,
			},
			["Shado-Pan Monastery"] = {
				min = 90,
				max = 90,
			},
			["Siege of Niuzao Temple"] = {
				min = 90,
				max = 90,
			},
			["Stormstout Brewery"] = {
				min = 90,
				max = 90,
			},
			["Temple of the Jade Serpent"] = {
				min = 90,
				max = 90,
			},
			-----------------------------------------
			-- WARLORDS OF DRAENOR
			-----------------------------------------
			["Auchindoun"] = {
				min = 100,
				max = 100,
			},
			["Bloodmaul Slag Mines"] = {
				min = 100,
				max = 100,
			},
			["Grimrail Depot"] = {
				min = 100,
				max = 100,
			},
			["Iron Docks"] = {
				min = 100,
				max = 100,
			},
			["Shadowmoon Burial Grounds"] = {
				min = 100,
				max = 100,
			},
			["Skyreach"] = {
				min = 100,
				max = 100,
			},
			["The Everbloom"] = {
				min = 100,
				max = 100,
			},
			["Upper Blackrock Spire"] = {
				min = 100,
				max = 100,
			},
		},
		["Mythic"] = {
		
		},
	},
	["raid"] = {
	
	},
}